Login

Use /auths endpoint to log in the user. Customer authorization is based on JWT, which contains customerId, publisherId and expiration date.

There are two ways of login, by offerId (if a customer has already chosen an offer) or by publisherId (in case a customer will choose an offer after authorization).

Body Params
string
required

The email address of the customer (valid RFC2822 email address).

string
required

The password of the customer. String containing at least one letter and one digit or special character (!@#$%^&), length - 8-80 characters.

string
required

ID of Cleeng offer, e.g. S565568989_US. Required conditionally, when publisherId is not given.

string
required

ID of publisher (broadcaster). It consists of 9 digits. Required conditionally, when offerId is not given.

string

Customer IP address. This field is used for geo restrictions (stored as last user IP).

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json